summarylogtreecommitdiffstats
path: root/evewine
diff options
context:
space:
mode:
authorJernuh Zakalwe2018-10-12 23:00:19 +0200
committerJernuh Zakalwe2018-10-12 23:00:19 +0200
commit15e3274dfc8db22a485a35516b755d857ebb0a58 (patch)
treeaaaa1ad01628d80be69c8f1df6c4671bb3175fc0 /evewine
downloadaur-15e3274dfc8db22a485a35516b755d857ebb0a58.tar.gz
Initial Commit
Diffstat (limited to 'evewine')
-rwxr-xr-xevewine18
1 files changed, 18 insertions, 0 deletions
diff --git a/evewine b/evewine
new file mode 100755
index 000000000000..92ddd4a49682
--- /dev/null
+++ b/evewine
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+EVECONF=$HOME/.config/CCP/EVE.conf
+EVEDIR=$HOME/.local/lib/EVE
+
+UCW=$(grep UseCustomWine $EVECONF | cut -d= -f2)
+if [ "x$UCW" = "xtrue" ]; then
+ WINEPATH=$(grep CustomWinePath $EVECONF | cut -d= -f2)
+ WINEPATH=${WINEPATH%/*}
+else
+ echo "$(basename $0): Error: Custom wine not set!"
+ exit 1
+fi
+
+env WINEPREFIX=$HOME/.local/lib/EVE/SharedCache/wineenv \
+ WINEDEBUG=-all \
+ WINEDLLOVERRIDES="mscoree,mshtml,winemenubuilder.exe=d" \
+ $WINEPATH/wine "$@"